Update
patch
/fscmRestApi/resources/11.13.18.05/assetDiagnosticSymptoms/{SymptomId}
Request
Path Parameters
-
SymptomId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
Comments: string
Title:
CommentsMaximum Length:2000 -
DiagnosticCodeCategoryName: string
Title:
Diagnostic Category Name -
OrganizationCode: string
Title:
Organization Code -
OrganizationId: integer
-
WorkOrderNumber: string
Title:
Work Order Number
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : assetDiagnosticSymptoms-item-response
Type:
Show Source
object-
ActiveEndDate: string
(date-time)
Title:
Inactive DateRead Only:true -
CaptureObjectId: integer
(int64)
Title:
Capture Object ID -
CaptureObjectTypeCode: string
Title:
Capture Object TypeMaximum Length:30 -
CaptureObjectTypeName: string
Title:
MeaningRead Only:trueMaximum Length:80 -
Comments: string
Title:
CommentsMaximum Length:2000 -
CreatedBy: string
Read Only:
trueMaximum Length:64 -
CreationDate: string
(date-time)
Read Only:
true -
DiagnosticCode: string
Title:
Diagnostic Code -
DiagnosticCodeCategoryCode: string
Title:
Diagnostic Category CodeRead Only:trueMaximum Length:30 -
DiagnosticCodeCategoryName: string
Title:
Diagnostic Category Name -
DiagnosticCodeDescription: string
Title:
DescriptionRead Only:trueMaximum Length:540 -
DiagnosticCodeId: integer
(int64)
Title:
Diagnostic Code ID -
DiagnosticCodeName: string
Title:
NameRead Only:trueMaximum Length:240 -
LastUpdateDate: string
(date-time)
Read Only:
true -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64 -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrganizationCode: string
Title:
Organization Code -
OrganizationId: integer
-
SymptomId: integer
(int64)
Title:
Symptom IDRead Only:true -
WorkOrderDescription: string
Title:
DescriptionRead Only:trueMaximum Length:240 -
WorkOrderNumber: string
Title:
Work Order Number
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update one asset diagnostic symptom.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetDiagnosticSymptoms/SymptomId"
For example:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetDiagnosticSymptoms/300100555303211
Example Request Body
The following example includes the contents of the request
body in JSON format. You replace the request
payload in the cURL command with the contents of the Example Request Body.
The request payload specifies attribute values that the command will use in the
record that it updates.
"{
"Comments":"Test2"
}"Example Response Body
The following example includes the contents of the response
body in JSON format:
"{
"SymptomId": 300100555303211,
"DiagnosticCodeId": 300100555299127,
"CaptureObjectId": 300100118613665,
"CaptureObjectType": "ORA_WORK_ORDER",
"Comments": "Test2",
"CreatedBy": "MNT_QA",
"CreationDate": "2021-11-22T12:51:03+00:00",
"LastUpdateDate": "2021-11-22T12:51:03.003+00:00",
"LastUpdateLogin": "D14DE95AA3B86145E053A9B1F20AA44F",
"LastUpdatedBy": "MNT_QA",
"ActiveEndDate": null,
"DiagnosticCode": "DC1",
"DiagnosticCodeCategoryName": null,
"DiagnosticCodeDescription": "DC1",
"DiagnosticCodeName": "DC1",
"DiagnosticCodeCategoryCode": null,
"OrganizationId": 300100113363336,
"WorkOrderNumber": "0554S 250717 2243",
"OrganizationCode": "MNTALM",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetDiagnosticSymptoms/300100555303211",
"name": "assetDiagnosticSymptoms",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/assetDiagnosticSymptoms/300100555303211",
"name": "assetDiagnosticSymptoms",
"kind": "item"
}
]
}"